#
# $Id: GNUmakefile,v 1.9 2002/04/03 23:11:35 almgren Exp $
#
PRECISION = DOUBLE
PROFILE = FALSE
COMP  = g++
DEBUG = FALSE
DEBUG = TRUE
DIM   = 3
USE_MPI = FALSE
USE_ARRAYVIEW = FALSE
#
# Base name of the executable.
#
EBASE = run

PBOXLIB_HOME = ..
#
# Where libraries and include files will be installed.
#
include ../mk/Make.defs ./Make.package

INCLUDE_LOCATIONS +=  . ../BoxLib

include ../BoxLib/Make.package
#
# ArrayView
#
ifeq (USE_ARRAYVIEW, TRUE)
DEFINES += -DBL_USE_ARRAYVIEW
INCLUDE_LOCATIONS += .
LIBRARIES += -lX11
endif

ifeq ($(MACHINE), OSF1)
#
# Some additional stuff for our preferred development/debugging environment.
#
ifeq ($(PRECISION), DOUBLE)
FFLAGS += -real_size 64
endif
FDEBF += -C
FDEBF += -warn argument_checking
FDEBF += -warn declarations
ifneq ($(FC), f90)
FDEBF += -warn truncated_source
FDEBF += -warn unused
endif
endif

vpath %.H   . ../BoxLib
vpath %.cpp . ../BoxLib
vpath %.F   . 

all: $(executable)

libs:
	cd $(PBOXLIB_HOME)/BoxLib; \
	make PRECISION=$(PRECISION) PROFILE=$(PROFILE) COMP=$(COMP) \
	DEBUG=$(DEBUG) DIM=$(DIM) USE_MPI=$(USE_MPI) install

include ../mk/Make.rules
